#
# spec file for package libgnomekbd (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libgnomekbd
Version:        2.28.2
Release:        1.1.1
License:        LGPLv2.1+
Summary:        GNOME Keyboard Library
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libxklavier-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
GNOME keyboard library, utility and applet.

%package devel
License:        LGPLv2.1+
Summary:        GNOME Keyboard Library
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       dbus-1-glib-devel
Requires:       gconf2-devel
Requires:       gtk2-devel
Requires:       libxklavier-devel

%description devel
GNOME keyboard library, utility and applet.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%{__rm} -f %{buildroot}%{_libdir}/*.la
%suse_update_desktop_file gkbd-indicator-plugins-capplet
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-, root, root)
# NEWS README are empty
%doc AUTHORS COPYING.LIB ChangeLog ChangeLog.libgswitchit ChangeLog.libkbdraw
%{_bindir}/*
%{_libdir}/*so.*
%{_datadir}/applications/*.desktop
%{_datadir}/libgnomekbd

%files lang -f %{name}.lang

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomekbd
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Dec 13 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Small fixes for the rendering.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Remove libgnome-devel Requires from devel package.
* Thu Aug 27 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Minor fixes.
  + Updated translations.
- Use spec-cleaner script to reorder lines in preamble.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + Update to libxklavier 4.0.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Replacing libglade with gtkbuilder
  + Updated translations.
- Remove libglade2-devel BuildRequires, and add gtk2-devel
  BuildRequires.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Mar 14 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Two bugs related to deprecated APIs fixed.
* Sun Feb 22 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Several small bugs/build issues ar closed
- Remove BuildRequires: gnome-common
* Wed Jan 28 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Tue Jan 27 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Minor fixes
- Drop libgnomekbd-allow-old-dbus.patch
- Misc., minor .spec file cleanups
- Don't package libtool archives or static libraries.
* Mon Jun 16 2008 maw@suse.de
- Update to version 2.23.2:
  + Drop old and unneeded code
  + Make the default size of the preview depend upon the screen's
    size.
* Wed Apr  2 2008 rodrigo@suse.de
- Update to version 2.22.0:
  * Use tango icons
- Removed non-existing icon from installation
* Fri Jan 25 2008 rodrigo@suse.de
- Updated to version 2.21.4.1:
  * Fix for the indicators crash in keyboard drawing
  * Keyboard drawing printing functions moved to libgnomekbd, from
    gnome-control-center
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * minor fix to the build process
  * new translations
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.19.91:
  + Bug fixes
  + Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Thu Jul 19 2007 sbrabec@suse.cz
- Allow to build with old dbus.
* Fri Jul  6 2007 maw@suse.de
- Update to version 2.18.2
- Several keyboard drawing bugs fixed
- Incorrect GObject usage crash fixed
- Added translations.
* Fri May 11 2007 pgajdos@suse.cz
- removed
  - gnome-icon-theme-devel from BuildRequires
  - gnome-icon-theme       from Requires
- [#247450]
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Updated translations
- Bug fixes.
* Mon Mar  5 2007 sbrabec@suse.cz
- Spec file cleanup.
* Tue Feb 27 2007 maw@suse.de
- New package.
